Subject: Re: [PATCH] ath10k: increase rx buffer size to 2048

From: Kalle Valo <[email-masked]>
Date: Tue, 28 Apr 2020 15:01:28 +0300

Sven Eckelmann <[email-masked]> writes:

> On Wednesday, 1 April 2020 09:00:49 CEST Sven Eckelmann wrote:
>> On Wednesday, 5 February 2020 20:10:43 CEST Linus Lüssing wrote:
>> > From: Linus Lüssing <[email-masked]>
>> > 
>> > Before, only frames with a maximum size of 1528 bytes could be
>> > transmitted between two 802.11s nodes.
>> > 
>> > For batman-adv for instance, which adds its own header to each frame,
>> > we typically need an MTU of at least 1532 bytes to be able to transmit
>> > without fragmentation.
>> > 
>> > This patch now increases the maxmimum frame size from 1528 to 1656
>> > bytes.
>> [...]
>> 
>> @Kalle, I saw that this patch was marked as deferred [1] but I couldn't find 
>> any mail why it was done so. It seems like this currently creates real world 
>> problems - so would be nice if you could explain shortly what is currently 
>> blocking its acceptance.
>
> Ping?

Sorry for the delay, my plan was to first write some documentation about
different hardware families but haven't managed to do that yet.

My problem with this patch is that I don't know what hardware and
firmware versions were tested, so it needs analysis before I feel safe
to apply it. The ath10k hardware families are very different that even
if a patch works perfectly on one ath10k hardware it could still break
badly on another one.

What makes me faster to apply ath10k patches is to have comprehensive
analysis in the commit log. This shows me the patch author has
considered about all hardware families, not just the one he is testing
on, and that I don't need to do the analysis myself.

-- 
https://wireless.wiki.kernel.org/en/developers/documentation/submittingpatches